This patch add seq_midi_event.h. All replaced with dummy functions.

--- salsa-lib-9e6b52f148fb5a6352f441d0b5a41419c3a57c79/configure.ac
+++ salsa-lib-9e6b52f148fb5a6352f441d0b5a41419c3a57c79-1/configure.ac
@@ -273,6 +273,7 @@
 test "$sndseq" = "yes" && echo "#include \"seq_event.h\"" >> src/asoundlib.h
 test "$sndseq" = "yes" && echo "#include \"seq.h\"" >> src/asoundlib.h
 test "$sndseq" = "yes" && echo "#include \"seqmid.h\"" >> src/asoundlib.h
+test "$sndseq" = "yes" && echo "#include \"seq_midi_event.h\"" >> src/asoundlib.h
 cat "$srcdir"/src/asoundlib-tail.h >> src/asoundlib.h
 
 echo "SALSA-Lib build configuration:"
--- salsa-lib-9e6b52f148fb5a6352f441d0b5a41419c3a57c79/src/Makefile.am
+++ salsa-lib-9e6b52f148fb5a6352f441d0b5a41419c3a57c79-1/src/Makefile.am
@@ -60,7 +60,7 @@
 endif
 if BUILD_SEQ
 alsainclude_HEADERS += \
-	seq.h seq_event.h seqmid.h
+	seq.h seq_event.h seqmid.h seq_midi_event.h
 endif
 
 noinst_HEADERS = local.h 
--- /dev/null
+++ salsa-lib-9e6b52f148fb5a6352f441d0b5a41419c3a57c79-1/src/seq_midi_event.h
@@ -0,0 +1,52 @@
+#ifndef __ALSA_SEQ_MIDI_EVENT_H
+#define __ALSA_SEQ_MIDI_EVENT_H
+
+typedef struct snd_midi_event snd_midi_event_t;
+
+__SALSA_EXPORT_FUNC
+int snd_midi_event_new(size_t bufsize, snd_midi_event_t **rdev)
+{
+	return -ENOMEM;
+}
+__SALSA_EXPORT_FUNC
+int snd_midi_event_resize_buffer(snd_midi_event_t *dev, size_t bufsize)
+{
+	return -ENOMEM;
+}
+__SALSA_EXPORT_FUNC
+void snd_midi_event_free(snd_midi_event_t *dev)
+{
+}
+__SALSA_EXPORT_FUNC
+void snd_midi_event_init(snd_midi_event_t *dev)
+{
+}
+__SALSA_EXPORT_FUNC
+void snd_midi_event_reset_encode(snd_midi_event_t *dev)
+{
+}
+__SALSA_EXPORT_FUNC
+void snd_midi_event_reset_decode(snd_midi_event_t *dev)
+{
+}
+__SALSA_EXPORT_FUNC
+void snd_midi_event_no_status(snd_midi_event_t *dev, int on)
+{
+}
+__SALSA_EXPORT_FUNC
+long snd_midi_event_encode(snd_midi_event_t *dev, const unsigned char *buf, long count, snd_seq_event_t *ev)
+{
+	return -EINVAL;
+}
+__SALSA_EXPORT_FUNC
+int snd_midi_event_encode_byte(snd_midi_event_t *dev, int c, snd_seq_event_t *ev)
+{
+	return -EINVAL;
+}
+__SALSA_EXPORT_FUNC
+long snd_midi_event_decode(snd_midi_event_t *dev, unsigned char *buf, long count, const snd_seq_event_t *ev)
+{
+	return -ENOENT;
+}
+
+#endif /* __ALSA_SEQ_MIDI_EVENT_H */
